ompi/mca/ptl/llc/ptl_llc_proc.h File Reference.TH "ompi/mca/ptl/llc/ptl_llc_proc.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/llc/ptl_llc_proc.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'proc/proc.h'\fP
.br
\fC#include 'ptl_llc.h'\fP
.br
\fC#include 'ptl_llc_peer.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_llc_proc_t\fP \fBmca_ptl_llc_proc_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_ptl_llc_proc_t\fP)"
.br
.ti -1c
.RI "\fBmca_ptl_llc_proc_t\fP * \fBmca_ptl_llc_proc_create\fP (ompi_proc_t *ompi_proc)"
.br
.ti -1c
.RI "\fBmca_ptl_llc_proc_t\fP * \fBmca_ptl_llc_proc_lookup\fP (const orte_process_name_t *)"
.br
.ti -1c
.RI "static \fBmca_ptl_llc_proc_t\fP * \fBmca_ptl_llc_proc_local\fP (void)"
.br
.RI "\fIInlined function to return local LLC proc instance. \fP"
.ti -1c
.RI "int \fBmca_ptl_llc_proc_insert\fP (\fBmca_ptl_llc_proc_t\fP *, struct \fBmca_ptl_base_peer_t\fP *)"
.br
.ti -1c
.RI "int \fBmca_ptl_llc_proc_remove\fP (\fBmca_ptl_llc_proc_t\fP *, struct \fBmca_ptl_base_peer_t\fP *)"
.br
.ti -1c
.RI "bool \fBmca_ptl_llc_proc_accept\fP (\fBmca_ptl_llc_proc_t\fP *, struct sockaddr_in *, int sd)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
